function Tree_Node(node, params)
{
    Tree_Node.superclass.constructor.call(this, params);
    
    var oMainDiv = Rup.create('div');
    var oContainerDiv = Rup.create('div');
    
    var oOpenElement = Rup.create('span');
    var oCloseElement = Rup.create('span');
    
    oOpenElement.innerHTML = '[-]';
    oCloseElement.innerHTML = '[+]';
    
    oOpenElement.style.display = 'none';

//GP
    oCloseElement.style.cursor = 'default';
    oOpenElement.style.cursor  = 'default';
    
    var instance = this;
    oOpenElement.onclick = function(){
        instance.close();
    }
    
    oCloseElement.onclick = function(){
        instance.open();
    }
    
    oMainDiv.appendChild(oOpenElement);
    oMainDiv.appendChild(oCloseElement);
    
    this._setOpenElement(oOpenElement);
    this._setCloseElement(oCloseElement);
    
    oContainerDiv.style.padding = '0 0 0 25px';
    
    var oHeader = Rup.app.getLink({
        text: node.getAttribute('content'),
        nodeId: params.nodeId,
        typeId: params.typeId,
        mode: params.mode == 'doctree' ? 'doc' : params.mode
    });
    
    oMainDiv.appendChild(oHeader.dom());
    oMainDiv.appendChild(this._loadingElement);
    oMainDiv.appendChild(oContainerDiv);
    
    this._setBaseElement(oMainDiv);
    this._setContainerElement(oContainerDiv);
    
    this._hideContainer();
}

Rup.extend(Tree_Node, Tree_Node_Abstract);